## Class Swift_Plugins_AntiFloodPlugin

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/AntiFloodPlugin.php

##### Reduces network flooding when sending large amounts of mail.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Plugins_AntiFloodPlugin __construct ([int $threshold = 99], [int $sleep = 0], [Swift_Plugins_Sleeper $sleeper = null])
void beforeSendPerformed (Swift_Events_SendEvent $evt)
int getSleepTime ()
int getThreshold ()
void sendPerformed (Swift_Events_SendEvent $evt)
void setSleepTime (int $sleep)
void setThreshold (int $threshold)
void sleep (int $seconds)

#### Constructor __construct (line 59)

#### Swift_Plugins_AntiFloodPlugin __construct( [int $threshold = 99], [int $sleep = 0], [Swift_Plugins_Sleeper $sleeper = null])

##### Create a new AntiFloodPlugin with $threshold and $sleep time.

#### Parameters

- int $threshold:
- int $sleep: time
- Swift_Plugins_Sleeper $sleeper: (not needed really)

#### Info

- access - public

#### Method beforeSendPerformed (line 107)

#### void beforeSendPerformed( Swift_Events_SendEvent $evt)

Implementation of:

Swift_Events_SendListener::beforeSendPerformed()
  Invoked immediately before the Message is sent.

##### Invoked immediately before the Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method getSleepTime (line 98)

#### int getSleepTime( )

##### Get the number of seconds to sleep for during a restart.

#### Info

- access - public

#### Method getThreshold (line 80)

#### int getThreshold( )

##### Get the number of emails to send before restarting.

#### Info

- access - public

#### Method sendPerformed (line 115)

#### void sendPerformed( Swift_Events_SendEvent $evt)

Implementation of:

Swift_Events_SendListener::sendPerformed()
  Invoked immediately after the Message is sent.

##### Invoked immediately after the Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method setSleepTime (line 89)

#### void setSleepTime( int $sleep)

##### Set the number of seconds to sleep for during a restart.

#### Parameters

- int $sleep: time

#### Info

- access - public

#### Method setThreshold (line 71)

#### void setThreshold( int $threshold)

##### Set the number of emails to send before restarting.

#### Parameters

- int $threshold:

#### Info

- access - public

#### Method sleep (line 135)

#### void sleep( int $seconds)

Implementation of:

Swift_Plugins_Sleeper::sleep()
  Sleep for $seconds.

##### Sleep for $seconds.

#### Parameters

- int $seconds:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:11 +0000 by phpDocumentor 1.4.3